JSBSIM(1)

NOME
JSBSim - versione autonoma del modello dinamica di volo open source JSBSim

SINTASSI
JSBSim <nome file script> <nomi file output> <opzioni>

DESCRIZIONE
JSBSim è una versione autonoma del modello dinamica di volo open source JSBSim che, dato un file script, esegue la simulazione e salva i risultati in uno o più file.

OPZIONI

--help
    Mostra informazioni sull'utilizzo ed esce.

--version
    Mostra il numero di versione di JSBSim ed esce.

--outputlogfile=nomefile
    Manda in output i dati elaborati a nomefile.

--logdirectivefile=nomefile
    Utilizza le direttive di registrazione dei dati specificate in nomefile. Quest'opzione può essere specificata più volte.

--root=percorso
    Utilizza percorso come directory radice di JSBSim (la directory dove risiede il modello dell'aereo, contenente le sottodirectory aircraft, engine...).

--aircraft=nomefile
    Utilizza il modello di aereo specificato in nomefile.

--script=nomefile
    Esegue lo script di simulazione specificato in nomefile.

    Quest'opzione è incompatibile con --catalog.

--realtime
    Esegue la simulazione in tempo reale.

--nice[=periodo riposo]
    Riduce l'utilizzo del processore mettendo in pausa la simulazione tra un frame e l'altro per periodo riposo nanosecondi. Se periodo riposo non è fornito, l'opzione viene impostata a 0.01 nanosecondi.

--nohighlight
    Non colora l'output.

--suspend
    Sospende la simulazione dopo averla inizializzata.

--initfile=nomefile
    Utilizza il file di inizializzazione nomefile.

--catalog[=aereo]
    Stampa tutte le proprietà per il modello di aereo (aereo, se il nome del modello è fornito come argomento, o per il modello caricato tramite il file di inizializzazione).

    Quest'opzione è incompatibile con --script.

--property=nome=valore
    Imposta la proprietà nome a valore.

--simulation-rate=rate
    Imposta il rateo di simulazione (dT) a rate. Se rate è minore di 1, è interpretata come un periodo di tempo in secondi; in caso contrario, è interpretata come una frequenza in Hertz.

--end=orario
    Imposta l'orario di fine della simulazione a orario.

STATI D'USCITA
JSBSim esce con 0 se l'esecuzione ha avuto successo, con 1 se la sintassi degli argomenti della riga di comando è errata o se si verifica un errore.

VEDERE ANCHE
fgfs(1), il sito Web di JSBSim (http://jsbsim.sourceforge.net/)